package com.homeobjects.modules.testmodule;

import org.openide.modules.ModuleInstall;
import org.openide.windows.Workspace;
import org.openide.windows.WindowManager;
import org.openide.*;

/** Manages a module's lifecycle.
 * Remember that an installer is optional and often not needed at all.
 *
 * @author gernot
 */
public class TestModuleInstaller extends ModuleInstall {
    
    public void installed() {
        restored();
    }

    public void restored() {
        Workspace wksp = WindowManager.getDefault().findWorkspace("Trading");
        trace("TestModuleInstaller: restored, wksp = \n" + wksp.toString());
    }
 
    public void uninstalled() {
    }

    public static void trace(String msg) {
        String s = "";
        try {
            throw new RuntimeException();
        } catch (RuntimeException e) {
            StackTraceElement ste[] = e.getStackTrace();
            StringBuffer sb = new StringBuffer();
            for (int i=0; i<ste.length; i++) {
                sb.append(ste[i].toString()).append("\n");
            }
            s = sb.toString();
        }
        NotifyDescriptor desc = new NotifyDescriptor.Confirmation(msg + "\n" + s);
        TopManager.getDefault().notify(desc);           
    }
    
}
